### Virtual Method

# Gtk CellArea apply_attributes

#### Declaration [src]

    void
    apply_attributes (
      GtkCellArea* area,
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      gboolean is_expander,
      gboolean is_expanded
    )

#### Description [src]

Applies any connected attributes to the renderers in `area` by pulling the values from `tree_model`.

#### Parameters

`tree_model` | `GtkTreeModel`
| The `GtkTreeModel` to pull values from.
| The data is owned by the caller of the function.
`iter` | `GtkTreeIter`
| The `GtkTreeIter` in `tree_model` to apply values for.
| The data is owned by the caller of the function.
`is_expander` | `gboolean`
| Whether `iter` has children.
`is_expanded` | `gboolean`
| Whether `iter` is expanded in the view and children are visible.